## python-rednose 0.4.1

=== Makefile ===
redo=0install run --command=redo-ifchange http://gfxmonk.net/dist/0install/redo.xml

default: test

%: phony
	${redo} $@

.PHONY: phony default

=== debian/changelog ===
python-rednose (0.4.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938126).
  * d/copyright: fix ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2019 12:42:15 +0200

python-rednose (0.4.1-2) unstable; urgency=low

  [ Ivan Udovichenko ]
  * Removed version for python-all build-depends.
  * Fixed debian/gbp.conf .
  * Fixed debian/watch file to use the PyPi redirector.
  * Add myself to Uploaders field.
  * Remove Pre-Depends field from debian/control .
  * Add python-nose dependency in Depends fields.
  * Standards-Version is now 3.9.6 (no change).

  [ Thomas Goirand ]
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 15:45:19 +0000

python-rednose (0.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #742586)

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2014 16:05:57 +0800

=== debian/control ===
Source: python-rednose
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rednose
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rednose.git
Homepage: http://gfxmonk.net/dist/0install/rednose.xml

Package: python3-rednose
Architecture: all
Depends:
 python3-nose,
 ${misc:Depends},
 ${python3:Depends},
Description: coloured output for nosetests - Python 3.x
 rednose is a nosetests plugin for adding colour (and readability) to nosetest
 console results. Rednose by default uses auto-colouring, which will only use
 colour if you're running it on a terminal (i.e not piping it to a file).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/gfxmonk/rednose.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

=== debian/watch ===
version=3
https://pypi.debian.net/rednose/rednose-(.*).tar.gz
